> ## Documentation Index
> Fetch the complete documentation index at: https://docs.taidalos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Configuration



## OpenAPI

````yaml GET /v1/media-searches/configuration/{media_search_configuration_id}
openapi: 3.0.0
info:
  title: Taidalos API Documentation
  termsOfService: https://www.taidalos.com/gtc/
  contact:
    name: Customer Support
    url: https://www.taidalos.com
    email: cs@taidalos.com
  version: '1.0'
servers:
  - url: https://api.taidalos.com
security: []
tags:
  - description: Operations about subjects
    name: Subjects
  - description: Operations about media search configuration
    name: Media Search Configuration
  - description: Operations about media search
    name: Media Search
externalDocs:
  description: Get started with guides
  url: https://taidalos.com/tags/guide/
paths:
  /v1/media-searches/configuration/{media_search_configuration_id}:
    get:
      tags:
        - Media Search Configuration
      summary: Get Media Search Config
      parameters:
        - description: media_search_configuration_id
          name: media_search_configuration_id
          in: path
          required: true
          schema:
            type: string
        - description: <Authorization Token>
          name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/main.getMediaSearchConfigResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/main.problemJson'
components:
  schemas:
    main.getMediaSearchConfigResponse:
      type: object
      properties:
        data:
          description: '`data` contains the detailed configuration of a media search.'
          allOf:
            - $ref: '#/components/schemas/main.mediaSearchConfiguration'
    main.problemJson:
      type: object
      properties:
        context:
          description: >-
            `context` provides additional information about the error, including
            the HTTP method and path where it occurred.
          allOf:
            - $ref: '#/components/schemas/main.defaultProblemContext'
        details:
          description: >-
            `details` provides a detailed human-readable explanation of the
            specific error.
          type: string
          example: Details explaining the error
        instance:
          description: >-
            `instance` specifies a unique URI identifying the context of the
            error, such as organisation, user, and request details.
          type: string
          example: /org/{org_id}/user/{user_id}/request-id/{request_id}
        title:
          description: >-
            `title` provides a short, human-readable summary of the problem type
            or error encountered.
          type: string
          example: Error ShortName
        type:
          description: >-
            `type` is a URI reference that identifies the problem type, allowing
            clients to recognize the type of error encountered.
          type: string
          example: https://errors.taidalos.com/common/{error-type}
    main.mediaSearchConfiguration:
      type: object
      properties:
        created_at:
          description: >-
            `created_at` is the timestamp when the media search configuration
            was created.
          type: string
          example: '2024-10-22T07:37:56.676Z'
        created_by:
          description: >-
            `created_by` represents the user who created the media search
            configuration.
          allOf:
            - $ref: '#/components/schemas/main.createdBy'
        disambiguation_auto_risk_assessment:
          description: >-
            `disambiguation_auto_risk_assessment` if `active` is set `true`,
            articles with the set disambiguation `threshold` or below will be
            automatically risk-assessed as not risky.
          type: object
          properties:
            active:
              description: >-
                `active` indicates whether the
                `disambiguation_auto_risk_assessment`is active or not
              type: boolean
              example: true
            threshold:
              description: >-
                `threshold` if an article has disambiguation match the score of
                threshold or below, the article will be risk-assessed as not
                risky.
              type: integer
              example: 2
        is_template:
          description: '`is_template` indicates if this configuration is a template'
          type: boolean
          example: false
        keyword_lists:
          description: >-
            `keyword_lists` represents a list of keyword lists associated with
            the configuration.
          type: array
          items:
            $ref: '#/components/schemas/main.KeyWordListResponseItem'
        keywords:
          description: >-
            `WARNING: the field keywords is deprecated - use keyword_lists
            instead.` `keywords` contains all all keywords from
            `keyword_lists`.`
          type: array
          items:
            type: string
          example:
            - Fraud
            - Theft
            - Steal
            - Scam
            - Money Laundering
            - Sanction
            - Human Rights Violation
            - Terrorist
            - Organised Crime
            - Corrupt
            - Bribe
            - Tax Evasion
            - Convicted
            - Sentenced
            - Arrested
            - Child Labour
        language:
          description: >-
            `language` specifies the language used for the media search
            configuration.
          type: string
          example: en
        look_back_period:
          description: >-
            `look_back_period` specifies the look-back period for the media
            search configuration. All articles that got published before the
            look back period (today - days specified) are ignored.
          allOf:
            - $ref: '#/components/schemas/main.lookBackPeriod'
        max_number_of_results:
          description: >-
            `max_number_of_results` defines the maximum number of results
            allowed for a media search configuration.
          type: integer
          example: 20
        media_search_configuration_id:
          description: >-
            `media_search_configuration_id` holds the unique identifier for the
            media search configuration.
          type: string
          example: d43a4ec2-3eb8-46ad-9ca9-09a26540968f
        organisation_id:
          description: >-
            `organisation_id` is the unique identifier of the organisation
            associated with the configuration
          type: string
          example: 07f8269e-4583-41c5-bb0e-bea37f3c0569
        reference:
          description: >-
            `reference` holds the reference which can be used for referencing
            the media search configuration.
          type: string
          example: english_generic
        risk_categories:
          description: >-
            `risk_categories` lists the risk categories associated with the
            media search.
          type: array
          items:
            type: string
          example:
            - Fraud
            - Money Laundering
            - Sanctions
            - Human Rights Abuse
            - Environmental Abuse
            - Terrorism
            - Organized Crime
            - Corruption
            - Tax Crimes
            - Violence
            - Theft
            - Discrimination
            - Other
        subject_names_fuzzy:
          description: >-
            `subject_names_fuzzy` is the fuzzy matching standard for subject
            names
          type: string
          example: STANDARD
        title:
          description: '`title` represents the title of the media search configuration.'
          type: string
          example: English Generic
        version:
          description: >-
            `version` represents the version number of the media search
            configuration.
          type: integer
          example: 1
    main.defaultProblemContext:
      type: object
      required:
        - method
        - path
      properties:
        method:
          description: >-
            `method` specifies the HTTP method (e.g., GET, POST) that was used
            in the problematic request.
          type: string
          example: '{method}'
        path:
          description: >-
            `path` specifies the HTTP request path associated with the
            encountered problem.
          type: string
          example: '{path}'
        timestamp:
          type: string
    main.createdBy:
      type: object
      properties:
        user_id:
          description: '`user_id` represents the unique identifier for the user.'
          type: string
          example: d43a4ec2-3eb8-46ad-9ca9-09a26540968f
    main.KeyWordListResponseItem:
      type: object
      properties:
        keyword_list_id:
          type: string
        keywords:
          type: array
          items:
            type: string
        name:
          type: string
    main.lookBackPeriod:
      type: object
      properties:
        days:
          description: >-
            `days` specifies the look back period in days, represented as an
            integer.

            All articles that got published before the look back period (today -
            days specified) will be ignored.
          type: integer
          example: 360
        is_active:
          description: >-
            `is_active` indicates whether a look back period is enabled for the
            given configuration.
          type: boolean
          example: true

````